#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - libpcre preinstallation
#
# Creation   :  2017-01-22 holbru
# Last update:  $Id: preinstall.sh 44672 2017-01-22 14:37:41Z hbfl $
#
# Copyright (c) 2017-2017 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=libpcre

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
installed_version=$(/var/install/bin/check-version ${package_name} 2.6.5)

case ${installed_version} in
new)
    if [ -f /etc/filelist.d/libpcre-files.txt ]
    then
        sed -i '/libpcre16/d' /etc/filelist.d/libpcre-files.txt
        sed -i '/libpcrecpp/d' /etc/filelist.d/libpcre-files.txt
        sed -i '/libpcreposix/d' /etc/filelist.d/libpcre-files.txt
    fi
    ;;
*)
    : ;;
esac

if [ -f "/var/install/packages/${package_name}" ]
then
    /var/install/bin/del-package --update -p ${package_name}
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
